- Home
- API Enriched
- Cdn
- cdn
- GET CDN Access Logs.
GET CDN Access Logs.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/cdn/namespaces/example/cdn_loadbalancer/access_logs';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"aggs":{},"end_time":"example","limit":1,"namespace":"example","query":[{"operator":"CDN_ACCESS_LOG_OPERATOR_TYPE_IN","tag":"CDN_NAME","values":["example"]}],"sort":"DESCENDING","start_time":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/cdn/namespaces/example/cdn_loadbalancer/access_logs \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "aggs": {}, "end_time": "example", "limit": 1, "namespace": "example", "query": [ { "operator": "CDN_ACCESS_LOG_OPERATOR_TYPE_IN", "tag": "CDN_NAME", "values": [ "example" ] } ], "sort": "DESCENDING", "start_time": "example" }'Retrieve CDN Load-Balancer Access logs.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace fetch access logs for a given namespace.
Request Bodyrequired
Section titled “Request Bodyrequired”Request to fetch access logs.
object
Aggregations provide summary/analytics data over the log response. If the number of logs that matched the query is large and cannot be returned in a single response message, user can GET helpful insights/summary using aggregations. The aggregations are key’ed by user-defined aggregation name. The response will be key’ed with the same name. Optional.
object
Fetch access logs whose timestamp <= end_time format: unix_timestamp|RFC 3339
Optional: If not specified, then the end_time will be evaluated to start_time+10m
If start_time is not specified, then the end_time will be evaluated to
Limits the number of logs returned in the response Optional: If not specified, first or last 500 log messages that matches the query (depending on the sort order) will be returned in the response. The maximum value for limit is 500.
Fetch access logs for a given namespace.
CDN Access Logs filter OPTIONS.
CDN Access log filter OPTIONS.
object
Filter values Required: YES.
Fetch access logs whose timestamp >= start_time format: unix_timestamp|RFC 3339
Optional: If not specified, then the start_time will be evaluated to end_time-10m
If end_time is not specified, then the start_time will be evaluated to
Responses
Section titled “Responses”A successful response.
Response message for AccessLogRequest.
object
Aggregations provide summary/analytics data over the log response. If the number of logs that matched the query is large and cannot be returned in a single response message, user can GET helpful insights/summary using aggregations. The aggregation data is key’ed with the aggregation name specified in the request.
object
List of log messages that matched the query. Not all log messages that matched the query are returned in the response.
CDN Access-Log item.
object
CDN Cache Status.
Name of the CDN distribution.
Geo City ID [maxmind]
Geo City Name.
Client Port.
Geo Country Code of the request.
Geo Location of the request.
Host Name of the node where the log was captured.
HTTP Host Header.
HTTP Version of the request.
HTTP Method Name.
HTTP referer.
Content-Type of the request.
HTTP request path.
HTTP Request Size.
Time taken by the request.
HTTP Response Code.
HTTP Response Code Class.
Content-Type of the response.
HTTP Response Size.
HTTP request scheme.
Name of the Site.
Source IP address.
Format: unix_timestamp|RFC 3339 Required: YES.
TLS Service Name Indication.
TLS Version Value.
Upstream Address.
Upstream Connect Time.
Upstream Response Time.
Upstream Status.
Name of the user.
HTTP User Agent.
Total number of log messages that matched the query.
Examplegenerated
{ "aggs": {}, "logs": [ { "cache_status": "example", "cdn_name": "example", "city_id": "example", "city_name": "example", "client_port": "example", "country": "example", "geo_location": "example", "host": "example", "host_header": "example", "http_version": "example", "method": "example", "referer": "example", "req_content_type": "example", "req_path": "example", "req_size": "example", "request_time": "example", "rsp_code": "example", "rsp_code_class": "example", "rsp_content_type": "example", "rsp_size": "example", "scheme": "example", "site_name": "example", "src_ip": "example", "timestamp": "2026-04-15T12:00:00Z", "tls_sni": "example", "tls_version": "example", "upstream_addr": "example", "upstream_connect_time": "example", "upstream_response_time": "example", "upstream_status": "example", "user": "example", "user_agent": "example" } ], "total_hits": "example"}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example